y.title.replace('mailto:', ''),
              link_url: link,
              link_classes: valuesArray.el_classes,
              link_id: valuesArray.el_id,
            };
          } else if (type == 'internal-as-outbound') {
            fieldsArray = {
              event_category: internalAsOutboundCategory,
              event_label: label || valuesArray.title,
              event_name: 'click',
              is_affiliate_link: true,
              affiliate_label: internalAsOutboundCategory.replace('outbound-link-', ''),
              link_text: label || valuesArray.title,
              link_url: link,
              link_domain: valuesArray.el_hostname,
              link_classes: valuesArray.el_classes,
              link_id: valuesArray.el_id,
              outbound: true,
            };
          } else if (type == 'external') {
            fieldsArray = {
              event_category: 'outbound-link',
              event_label: label || valuesArray.title,
              is_affiliate_link: false,
              link_text: label || valuesArray.title,
              link_url: link,
              link_domain: valuesArray.el_hostname,
              link_classes: valuesArray.el_classes,
              link_id: valuesArray.el_id,
              outbound: true,
            };
          } else if (type == 'cross-hostname') {
            fieldsArray = {
              event_category: 'cross-hostname',
              event_label: label || valuesArray.title,
              link_text: label || valuesArray.title,
              link_url: link,
              link_domain: valuesArray.el_hostname,
              link_classes: valuesArray.el_classes,
              link_id: valuesArray.el_id,
            };
          }

          if (fieldsArray) {
            __gtagTrackerSendDual('event', action || link, fieldsArray, valuesArray);
          } else {
            if (type && type != 'internal') {
              fieldsArray = {
                event_category: type,
                event_label: label || valuesArray.title,
                link_text: label || valuesArray.title,
                link_url: link,
                link_domain: valuesArray.el_hostname,
                link_classes: valuesArray.el_classes,
                link_id: valuesArray.el_id,
              };

              __gtagTrackerSendDual('event', action || link, fieldsArray, valuesArray);
            } else {
              valuesArray.exit = 'type';
              __gtagTrackerNotSend(valuesArray);
            }
          }
        } else {
          /* Prevent standard click, track then open */
          if (type != 'cross-hostname' && type != 'external' && type != 'internal-as-outbound') {
            if (!event.defaultPrevented) {
              if (event.preventDefault) {
                event.preventDefault();
              } else {
                event.returnValue = false;
              }
            }
          }

          if (type == 'download') {
            fieldsArray = {
              event_category: 'download',
              event_label: label || valuesArray.title,
              event_callback: __gtagTrackerHitBack,
              file_extension: valuesArray.extension,
              file_name: valuesArray.link.replace(/^.*\//g, ''),
              link_text: label || valuesArray.title,
              link_url: link,
              link_domain: valuesArray.el_hostname,
              link_classes: valuesArray.el_classes,
              link_id: valuesArray.el_id,
            };

            __gtagTrackerSendDual('event', action || link, fieldsArray, valuesArray);
          } else if (type == 'internal-as-outbound') {
            beforeUnloadChanged = true;
            window.onbeforeunload = function (e) {
              if (!event.defaultPrevented) {
                if (event.preventDefault) {
                  event.preventDefault();
                } else {
                  event.returnValue = false;
                }
              }

              fieldsArray = {
                event_category: internalAsOutboundCategory,
                event_label: label || valuesArray.title,
                even