eck if the node type is TEXT_NODE
        if (Node.TEXT_NODE === node.nodeType && ancestorOfElementorElement) {
          var _node$textContent;
          var cleanText = ((_node$textContent = node.textContent) !== null && _node$textContent !== void 0 ? _node$textContent : '').trim().replace(/\t+/g, '\t').replace(/\n+/g, '\n').replace(/\s+/g, ' ');
          if (cleanText) {
            pageTextContent.push(cleanText);
          }
        } else {
          // If not a text node, iterate over its child nodes
          node.childNodes.forEach(function (child) {
            return walkDOM(child, ancestorOfElementorElement);
          });
        }
      };
      walkDOM(clonedCurrentLayout);

      // Trim any extra whitespace
      return pageTextContent.join('\n');
    }
  }, {
    key: "onAiButtonClick",
    value: function onAiButtonClick(event) {
      var _elementor, _elementor$getPrefere;
      event.stopPropagation();
      var colorScheme = ((_elementor = elementor) === null || _elementor === void 0 ? void 0 : (_elementor$getPrefere = _elementor.getPreferences) === null || _elementor$getPrefere === void 0 ? void 0 : _elementor$getPrefere.call(_elementor, 'ui_theme')) || 'auto';
      var isRTL = elementorCommon.config.isRTL;
      var rootElement = document.createElement('div');
      document.body.append(rootElement);
      window.elementorAiCurrentContext = this.getOption('context');
      var _ReactUtils$render = _react.default.render(this.getElementToRender(rootElement, colorScheme, isRTL), rootElement),
        unmount = _ReactUtils$render.unmount;
      this.unmount = unmount;
    }
  }, {
    key: "getElementToRender",
    value: function getElementToRender(rootElement, colorScheme, isRTL) {
      var _this = this;
      var onClose = function onClose() {
        _this.handleClose();
        rootElement.remove();
      };
      if ('post_featured_image' === this.options.context.controlName) {
        var FEATURED_IMAGE_RATIO = '4:3';
        return /*#__PURE__*/_react2.default.createElement(_componenets.AIMediaGenerateApp, {
          onClose: onClose,
          predefinedPrompt: this.getTextualContent(),
          textToImageHook: _useFeaturedImagePrompt.default,
          getControlValue: this.getOption('getControlValue'),
          setControlValue: this.getOption('setControlValue'),
          initialSettings: {
            aspectRatio: FEATURED_IMAGE_RATIO
          }
        });
      }
      if ('excerpt' === this.getOption('type')) {
        return /*#__PURE__*/_react2.default.createElement(_requestsIds.RequestIdsProvider, null, /*#__PURE__*/_react2.default.createElement(_aiExcerpt.default, {
          onClose: onClose,
          currExcerpt: this.getOption('getControlValue')(),
          updateExcerpt: this.getOption('setControlValue'),
          postTextualContent: this.getTextualContent()
        }));
      }
      return /*#__PURE__*/_react2.default.createElement(_app.default, {
        type: this.getOption('type'),
        controlType: this.getOption('controlType'),
        getControlValue: this.getOption('getControlValue'),
        setControlValue: this.getOption('setControlValue'),
        additionalOptions: this.getOption('additionalOptions'),
        onClose: onClose,
        colorScheme: colorScheme,
        isRTL: isRTL
      });
    }
  }, {
    key: "handleClose",
    value: function handleClose() {
      if (this.unmount) {
        this.unmount();
      }
    }
  }, {
    key: "getAiButtonLabel",
    value: function getAiButtonLabel() {
      var _this$getOption;
      var defaultValue = (_this$getOption = this.getOption('additionalOptions')) === null || _this$getOption === void 0 ? void 0 : _this$getOption.defaultValue;
      var currentValue = this.getOption('getControlValue')();
      var isMedia = 'media' === this.getOption('type');
      var isDefaultValue = !isMedia && defaultValue === currentValue || isMedia && (currentValue === null || currentValue === void 0 ? void 0 : currentValue.url) === (defaultValue === null || defaultValue === void 0 ? void 0 : defaultValue.url);
      return isDefaultValue ? this.getOption('buttonLabel') : this.getOption('editButtonLabel');
    }
  }, {
    key: "onRender",
    value: function onRender() {
      var isPromotion = !this.config.is_get_started;
      var buttonLabel = this.getAiButtonLabel();
      var $button = jQuery('<button>', {
        class: 'e-ai-button'
      });
      if (!isPromotion) {
        $button.addClass('e-active');
      }
      $button.html('<i class="eicon-ai"></i>');
      if (this.getOption('isLabelBlock') && isPromotion) {
        $button.append(' ' + buttonLabel);
      } else {
        $button.tipsy({
          gravity: 's',
          title: function title() {
            return buttonLabel;
          }
        });
      }
      var $wrap = this.$el.find('.elementor-control-responsive-switchers');
      if (!$wrap.length) {
        $wrap = this.$el.find('.elementor-control-title');
      }
      $wrap.after($button);
    }
  }]);
  return AiBehavior;
}(Marionette.Behavior);
exports["default"] = AiBehavior;

/***/ }),

/***/ "../modules/ai/assets/js/editor/ai-excerpt.js":
/*!****************************************************!*\
  !*** ../modules/ai/assets/js/editor/ai-excerpt.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var _interopRequireDefault = __webpack_require__(/*! @babel/runtime/helpers/interopRequireDefault */ "../node_modules/@babel/runtime/helpers/interopRequireDefault.js");
var _typeof = __webpack_require__(/*! @babel/runtime/helpers/typeof */ "../node_modules/@babel/runtime/helpers/typeof.js");
Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(__webpack_require__(/*! @babel/runtime/regenerator */ "../node_modules/@babel/runtime/regenerator/index.js"));
var _asyncToGenerator2 = _interopRequireDefault(__webpack_require__(/*! @babel/runtime/helpers/asyncToGenerator */ "../node_modules/@babel/runtime/helpers/asyncToGenerator.js"));
var _slicedToArray2 = _interopRequireDefault(__webpack_require__(/*! @babel/runtime/helpers/slicedToArray */ "../node_modules/@babel/runtime/helpers/slicedToArray.js"));
var _useUserInfo2 = _interopRequireDefault(__webpack_require__(/*! ./hooks/use-user-info */ "../modules/ai/assets/js/editor/hooks/use-user-info.js"));
var _useExcerptPrompt2 = _interopRequireDefault(__webpack_require__(/*! ./hooks/use-excerpt-prompt */ "../modules/ai/assets/js/editor/hooks/use-excerpt-prompt.js"));
var _react = _interopRequireWildcard(__webpack_require__(/*! react */ "react"));
var _element = __webpack_require__(/*! @wordpress/element */ "../node_modules/@wordpress/element/build-module/index.js");
var _app = _interopRequireDefault(__webpack_require__(/*! ./app */ "../modules/ai/assets/js/editor/app.js"));
var _i18n = __webpack_require__(/*! @wordpress/i18n */ "@wordpress/i18n");
var _propTypes = _interopRequireDefault(__webpack_require__(/*! prop-types */ "../node_modules/prop-types/index.js"));
var _requestsIds = __webpack_require__(/*! ./context/requests-ids */ "../modules/ai/assets/js/editor/context/requests-ids.js");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var AIExcerpt = function AIExcerpt(_ref) {
  var onClose = _ref.onClose,
    currExcerpt = _ref.currExcerpt,
    updateExcerpt = _ref.updateExcerpt,
    postTextualContent = _ref.postTextualContent;
  var _useUserInfo = (0, _useUserInfo2.default)(true),
    isLoadingUserInfo = _useUserInfo.isLoading,
    isConnected = _useUserInfo.isConnected,
    isGetStarted = _useUserInfo.isGetStarted,
    connectUrl = _useUserInfo.connectUrl,
    fetchData = _useUserInfo.fetchData,
    hasSubscription = _useUserInfo.hasSubscription,
    credits = _useUserInfo.credits,
    initialUsagePercentage = _useUserInfo.usagePercentage;
  var _useExcerptPrompt = (0, _useExcerptPrompt2.default)({
      result: currExcerpt,
      credits: credits
    }),
    newExcerpt = _useExcerptPrompt.data,
    isLoadingExcerpt = _useExcerptPrompt.isLoading,
    error = _useExcerptPrompt.error,
    send = _useExcerptPrompt.send;
  var _useRequestIds = (0, _requestsIds.useRequestIds)(),
    updateUsagePercentage = _useRequestIds.updateUsagePercentage,
    usagePercentage = _useRequestIds.usagePercentage;
  var _useState = (0, _react.useState)(false),
    _useState2 = (0, _slicedToArray2.default)(_useState, 2),
    isInitUsageDone = _useState2[0],
    setIsInitUsageDone = _useState2[1];
  (0, _element.useEffect)(function () {
    if (!isInitUsageDone && !isLoadingUserInfo && (initialUsagePercentage || 0 === initialUsagePercentage)) {
      updateUsagePe